<?php


namespace app\admin\validate\consultant;


use support\Validate;

class MarketCustomerValidate extends Validate
{
    protected $rule = [
        'id|ID' => 'require|integer',
        'mobile|联系电话' => 'require|mobile',
        'name|客户姓名' => 'require',
        'consultant_id|所属顾问' => 'require',
        'visit_time|访问时间' => 'require',
        'current_status|当前状态' => 'require',
        'check_status|审核状态' => 'require'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['mobile', 'name', 'consultant_id', 'visit_time', 'current_status'],
        'update' => ['id', 'mobile', 'name', 'visit_time', 'current_status'],
        'check' => ['id', 'check_status']
    ];
}